Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002699TestLinkDatabase Postgrespublic2009-07-03 19:472010-01-13 21:42
ReporterhiddenVar1 
Assigned Tomhavlat 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.3 
Fixed in Version1.8.4 
Summary0002699: Update of 1.7 to 1.8 fails because connect_2_db() is MySQL specific
Descriptionmigrate_17_to_18.php uses the function connect_2_db() which is declared in migrate_16_to_17_functions.php.
This function doesn't work on postgres because "SET CHARACTER SET utf8;" and "SET collation_connection = 'utf8_general_ci';" aren't defined for Postgres.
Additional InformationUsing Postgres 8.3.6 on Windows XP
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filespatch file icon migrate_16_to_17_functions.php.patch [^] (863 bytes) 2009-07-03 19:47 [Show Content]

- Relationships
related to 0002325closedtoshi Cannot upgrade from 1.7.x to 1.8.0 with PostgreSQL 

-  Notes
(0007436)
hiddenVar1 (reporter)
2009-07-03 19:48

See http://www.postgresql.org/docs/8.3/interactive/multibyte.html [^] for additional information.
(0007439)
mhavlat (reporter)
2009-07-04 07:31

Toshi, could you look at? Is this related to problem you reported. Thanks.
(0007876)
mhavlat (reporter)
2009-08-30 06:59

Big thanks for report and patch.
Patch added to both 1.8 branch and HEAD.

- Issue History
Date Modified Username Field Change
2009-07-03 19:47 hiddenVar1 New Issue
2009-07-03 19:47 hiddenVar1 File Added: migrate_16_to_17_functions.php.patch
2009-07-03 19:48 hiddenVar1 Note Added: 0007436
2009-07-04 07:31 mhavlat Note Added: 0007439
2009-07-04 07:31 mhavlat Assigned To => toshi
2009-07-04 07:31 mhavlat Status new => acknowledged
2009-07-04 07:33 mhavlat Relationship added related to 0002325
2009-08-30 06:58 mhavlat Status acknowledged => assigned
2009-08-30 06:58 mhavlat Assigned To toshi => mhavlat
2009-08-30 06:59 mhavlat Note Added: 0007876
2009-08-30 06:59 mhavlat Status assigned => resolved
2009-08-30 06:59 mhavlat Fixed in Version => 1.8.4 (bug fixing)
2009-08-30 06:59 mhavlat Resolution open => fixed
2010-01-13 21:42 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker